:root {
    --mobile-width-unit: calc(100vw / 1125);
    --pc-width-unit: calc(100vw / 1920);
}

.service-map{
    width: 100%;
    height: calc(var(--pc-width-unit)*748);
    margin-bottom: calc(var(--pc-width-unit)*106);
    position: relative;
    padding: 0 calc(var(--pc-width-unit) * 107);
    box-sizing: border-box;
}
/* 一级导航 - 横向排列 */
.hierarchy {
    height: calc(var(--pc-width-unit)*67);
    background: #FFFFFF;
    box-shadow: 0px 0 24px 0px rgba(0,0,0,0.25);
    border-radius: calc(var(--pc-width-unit)*16);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: calc(var(--pc-width-unit)*20);
    padding:0 calc(var(--pc-width-unit)*20);
    position: absolute;
    right: calc(var(--pc-width-unit)*127);
    top: calc(var(--pc-width-unit)*20);
    visibility:hidden;
    z-index: 99;
}

/* 一级分类按钮 */
.parent {
    cursor: pointer;
    /*transition: all 0.3s ease;*/
    font-weight: 600;
    font-size:calc(var(--pc-width-unit)*19);
    color: #000000;
    text-align: left;
    font-style: normal;
    text-transform: none;
}

.parent:hover {
    color: #0090E2;
}
.parent:active {
    color: #0090E2;
}
.parent-active {
    color: #0090E2;
}


/* 二级菜单容器 - 白色弹出框 */
.children-container {
    position: absolute;
    top: calc(var(--pc-width-unit)*68);
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
    display: none;
}
/*67.7 91*/
/* 小三角形 */
.children-container::before {
    content: '';
    position: absolute;
    top: -6px;
    left: 0;
    right: 0;
    margin: auto;
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-bottom: 6px solid white;
}

/* 二级菜单内容 */
.children {
    padding: calc(var(--pc-width-unit)*16);
    background: #FFFFFF;
    box-shadow: 0px 0 calc(var(--pc-width-unit)*24) 0px rgba(0,0,0,0.25);
    border-radius:calc(var(--pc-width-unit)*8);
    display: flex;
    gap: calc(var(--pc-width-unit)*21);
    flex-direction: column;
}

/* 二级菜单项 */
.child {
    font-weight: 400;
    font-size: calc(var(--pc-width-unit)*16);
    color: #000000;
    text-align: left;
    width: max-content;
    cursor: pointer;
}

.child:hover {
    color: #0090E2;
}

.child.selected {
    color: #0090E2;
}

/* 地图区域 */
.map {
    width: 100%;
    height: 100%;

}
/* 滚动条样式 */
.children::-webkit-scrollbar {
    width: 6px;
}

.children::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 3px;
}

.children::-webkit-scrollbar-thumb {
    background: #c1c1c1;
    border-radius: 3px;
}

.children::-webkit-scrollbar-thumb:hover {
    background: #a8a8a8;
}

.list{
    position: absolute;
    left: calc(var(--pc-width-unit)*127);
    top: calc(var(--pc-width-unit)*20);
    width: calc(var(--pc-width-unit)*532);
    height:calc(var(--pc-width-unit)*690);
    background: #FFFFFF;
    box-shadow: 0px 0 calc(var(--pc-width-unit)*24) 0px rgba(0,0,0,0.25);
    border-radius: calc(var(--pc-width-unit)*16);
    box-sizing: border-box;
    padding: calc(var(--pc-width-unit)*20);
}
.map-title{
    font-weight: 600;
    font-size: calc(var(--pc-width-unit)*24);
    color: #000000;
    text-align: left;
    position: relative;
}
.title-sub{
    position: absolute;
    right:0;
    top: 0;
    bottom: 0;
    margin: auto;
    background: #F7F8FA;
    font-weight: 600;
    font-size: calc(var(--pc-width-unit)*16);
    color: #0090E2;
    padding:calc(var(--pc-width-unit)*4) calc(var(--pc-width-unit)*14) ;
    border-radius: calc(var(--pc-width-unit)*67);
    display: none;
}
.sub-clear{
    position: absolute;
    width: calc(var(--pc-width-unit)*30);
    height: calc(var(--pc-width-unit)*30);
    top: calc(var(--pc-width-unit)*-12);
    right: calc(var(--pc-width-unit)*-10);
    cursor: pointer;
}

.min-title{
    font-size: calc(var(--pc-width-unit)*16);
    color: #333333;
    text-align: left;
    margin-top:  calc(var(--pc-width-unit)*20);
    margin-bottom:  calc(var(--pc-width-unit)*10);
}
.search-location-wrapper{
    display: flex;
    align-items: center;
    margin-top:  calc(var(--pc-width-unit)*20);
    margin-bottom:calc(var(--pc-width-unit)*20);
    border: 1px solid #DDDDDD;
    border-radius: calc(var(--pc-width-unit)*6);
}
.location-btn{
    height: calc(var(--pc-width-unit)*45);
    background: transparent;
    border-radius:calc(var(--pc-width-unit)*133);
    padding: 0 calc(var(--pc-width-unit)*20);
    font-weight: 400;
    font-size: calc(var(--pc-width-unit)*19);
    color: #333333;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    flex-shrink: 0;
}
.divider{
    width: 1px;
    height: calc(var(--pc-width-unit)*25);
    background-color: #DDDDDD;
    margin: 0 calc(var(--pc-width-unit)*10);
}
.location-btn img{
    height: calc(var(--pc-width-unit)*21);
    width: calc(var(--pc-width-unit)*21);
    margin-right: 2px;
    flex-shrink: 0;
}
.list-place{
    display: flex;
    flex-direction: column;
    gap: calc(var(--pc-width-unit)*13);
    max-height: calc(var(--pc-width-unit)*280);
    overflow-y:auto ;
}
.list-place-max{
    max-height: calc(var(--pc-width-unit)*330);
}
.more-title{
    height: calc(var(--pc-width-unit)*45);
    background: #333333;
    border-radius:calc(var(--pc-width-unit)*133);
    width: 100%;
    font-weight: 400;
    font-size: calc(var(--pc-width-unit)*19);
    color: #FFFFFF;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top:  calc(var(--pc-width-unit)*20);
    cursor: pointer;
}
.more-title img{
    height: calc(var(--pc-width-unit)*30);
    width: calc(var(--pc-width-unit)*30);
    margin-right: 2px;
    flex-shrink: 0;
}
.nodata-service{
    text-align: center;
    margin-top: 5px;
    cursor: pointer ;
    font-size: calc(var(--pc-width-unit)*19);
    display: none;
}
.place-item{
    background: #F7F8FA;
    border-radius: calc(var(--pc-width-unit)*11);
    padding: calc(var(--pc-width-unit)*13);
    box-sizing: border-box;
}
.place-item-active{
    border: 1px solid #0090E2;
}
.place-item ul li{
    float: left;
    width: auto;
    background-color: rgba(88, 134, 245, 0.05);
    padding: 2px 8px;
    margin-right: calc(var(--pc-width-unit)*13);
    margin-bottom: calc(var(--pc-width-unit)*13);
    color: rgba(88, 134, 245, 0.8);
    line-height: calc(var(--pc-width-unit)*20);
    font-weight: 400;
    font-family: SL-Simplified;
    font-size: calc(var(--pc-width-unit)*16);
    border-radius: 4px;
    border-bottom: 1px dashed #ededed;
    cursor: pointer;
}
ul li {
    list-style: none;
}
.place-title{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: calc(var(--pc-width-unit)*17);
}
.place-title div{
    width: calc(var(--pc-width-unit)*24);
    height: calc(var(--pc-width-unit)*24);
    position: relative;
    margin-right: 2px;
}
.place-title div img{
    width: calc(var(--pc-width-unit)*24);
    height: calc(var(--pc-width-unit)*24);
    flex-shrink: 0;
}
.place-title div span{
    position: absolute;
    text-align: center;
    top:0;
    left: 0;
    right: 0;
    bottom: 0;
    margin:0 auto;
    font-weight: bold;
    font-size: calc(var(--pc-width-unit)*13);
    color: #FFFFFF;
}
.place-title p{
    flex: 1;
    font-weight: 400;
    font-size: calc(var(--pc-width-unit)*21);
    color: #000000;
    text-align: left;
    padding-right: 5px;
}
.place-title .btn{
    width: calc(var(--pc-width-unit)*91);
    height:calc(var(--pc-width-unit)*31);
    line-height: calc(var(--pc-width-unit)*31);
    background: #0090E2;
    border-radius: calc(var(--pc-width-unit)*67);
    font-weight: 600;
    font-size: calc(var(--pc-width-unit)*16);
    text-align: center;
    color: #FFFFFF;
}
.place-item .desc{
    display: flex;
    align-items: center;
    margin-bottom: calc(var(--pc-width-unit)*13);
    font-weight: 400;
    font-size:calc(var(--pc-width-unit)*16);
    color: #666666;
    text-align: left;
}
.place-item .desc img{
    width: calc(var(--pc-width-unit)*16);
    height: calc(var(--pc-width-unit)*16);
    margin-right: 2px;
}

#wkeywords{
    width: 100%;
    border-radius: calc(var(--pc-width-unit)*6);
    /*border: 1px solid #DDDDDD;*/
    color: #999999;
    height: calc(var(--pc-width-unit)*45);
    font-size: calc(var(--pc-width-unit)*19) !important;
    padding: calc(var(--pc-width-unit)*10) calc(var(--pc-width-unit)*13) !important;
    box-sizing: border-box;
}
input ::placeholder{
    font-size: calc(var(--pc-width-unit)*19);
    color: #999999;
    text-align: left;
}
::-webkit-input-placeholder {
    font-size: calc(var(--pc-width-unit)*19);
    color: #999999;
    text-align: left;
}
.search-box{
    flex: 1;
    display: flex;
    align-items: center;
    position: relative;
}
.search-box input{
    width: 100%;
    height: calc(var(--pc-width-unit)*45);
    border: none;
    outline: none;
    padding: 0 calc(var(--pc-width-unit)*13);
    box-sizing: border-box;
}
#wkey_btn {
    width: calc(var(--pc-width-unit)*20);
    height: calc(var(--pc-width-unit)*20);
    cursor: pointer;
    position: absolute;
    right: calc(var(--pc-width-unit)*13);
}
.select{
    width: 100%;
    border-radius: calc(var(--pc-width-unit)*6);
    border: 1px solid #DDDDDD;
    height: calc(var(--pc-width-unit)*45);
    font-size: calc(var(--pc-width-unit)*19);
    padding: calc(var(--pc-width-unit)*10) calc(var(--pc-width-unit)*13);
    box-sizing: border-box;
    position: relative;
    display: flex;
    align-items: center;
}
.select span{
    font-size: calc(var(--pc-width-unit)*19);
    color: #999999;
    text-align: left;
}
.select img{
    width: calc(var(--pc-width-unit)*19);
    height: calc(var(--pc-width-unit)*19);
    position: absolute;
    right:calc(var(--pc-width-unit)*13);
    top: 0;
    bottom: 0;
    margin: auto;
}
.wdrop_menu {
    border-width: 1px;
    border-style: solid;
    border-style: solid;
    border-width: 1px;
    border-color: rgb(225, 225, 225);
    border-radius: calc(var(--pc-width-unit)*4);
    background-color: rgb(255, 255, 255);
    position: absolute;
    width: calc(var(--pc-width-unit)*432);
    z-index: 2000;
}

.wdrop_menu {
    left: 0;
    top: calc(var(--pc-width-unit)*165);
    display: none;
}

.wdrop_menu ul {
    padding: calc(var(--pc-width-unit)*30) 0px calc(var(--pc-width-unit)*14) calc(var(--pc-width-unit)*16);
}

.wdrop_menu ul li {
    width: calc(var(--pc-width-unit)*120);
    float: left;
    margin-bottom: calc(var(--pc-width-unit)*16);
    color: #353535;
    cursor: pointer;
    font-size: calc(var(--pc-width-unit)*14);
}

.wdrop_menu ul li:hover {
    color:#0090E2;
}
.clearfix:after {
    display: block;
    content: ".";
    visibility: hidden;
    height: 0;
    clear: both;
}

#wmap img {
    max-width: none !important;
}

@media (max-width: 1125px) {
    .service-map{
        height:calc(var(--mobile-width-unit)*748) !important;
    }
    .list{
        height:95%!important;
    }
    .list-place{
        max-height: calc(var(--mobile-width-unit)*440) !important;
    }
    .list-place-max{
        max-height: calc(var(--mobile-width-unit)*490) !important;
    }
}